DeluxHostAPI Reference
Support tickets

List support credential entries

GET
/v1/tickets/{id}/secrets

Authorization

apiToken tickets:secrets
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: tickets:secrets

Path Parameters

id*number

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
items*array<>
curl -X GET 'https://api.deluxhost.net/v1/tickets/0/secrets' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "items": [    {      "id": 0,      "label": "string",      "url": null,      "hasUsername": true,      "hasSecret": true,      "hasNotes": true,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "revealedAt": null    }  ]}